<?php
include_once("htui_header.php");

if ($_GET['listid']!=''){
    $scuser_id=$_SESSION["a_uid"];
	if (check_permission($scuser_id,'rolelist.php',3)){
		$listid = flc_request($_GET['listid']);
		$sql = "delete from {$tablepre}role where role_id in(".$listid.")";
		$db->exec($sql);
		$response_arr = array("status" => 1,"message"  => '操作成功');
	}else{
        $response_arr = array("status" => -1,"message"  => '无权限操作!');
	}

    echo json_encode($response_arr);
    exit;
}

$page=intval($_GET["page"]);
if ($page==0) $page=1;
  
if ($_POST["searchcontent"]!=""){
    $searchcontent=flc_request(trim($_POST["searchcontent"]));
}elseif ($_GET["searchcontent"]!=""){
    $searchcontent=flc_request(trim($_GET["searchcontent"]));
}

$sql = "select * from {$tablepre}role where ";
if($searchcontent!=""){
	$sql .= $where." 1=1 and role_name like '%".$searchcontent."%' order by role_id asc";
}else{
	$sql .= $where." 1=1 order by role_id asc";
}

$p       = new htui_page;
$myrow   = $db->get_all($sql);
$numrows = count($myrow);

$p->setvar(array("searchcontent" => $searchcontent)); 
$p->set($site_admin_num,$numrows,$psize); 
$ListArray = $db -> get_all($sql." limit ".$p->limit());
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta id="scale" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>用户角色列表 - 飞天素材网</title>
<link rel="icon" href="favicon.ico" type="image/ico">
<meta name="keywords" content="用户角色列表">
<meta name="description" content="用户角色列表">
<meta name="author" content="ftsucai.com">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/fonts.css" rel="stylesheet">
<link href="../css/htstyle.css" rel="stylesheet">
<link href="../css/jquery-confirm.min.css" rel="stylesheet">
</head>
  
<body>
    <!--页面主要内容-->
    <main class="ftdms-layout-content">
      
      <div class="container-fluid" style="margin-bottom:90px;">
        
        <div class="row" style="margin-top:15px;">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-toolbar clearfix">
                <form class="pull-right search-bar" method="post" action="" role="form" id="search">
                  <div class="input-group">
                    <div class="input-group-btn">
                      <input type="hidden" name="title_content" id="title_content" value="msg_title">
                      <button class="btn btn-default dropdown-toggle" id="search-btn" data-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false">
                      名称 <span class="caret"></span>
                      </button>
                      <ul class="dropdown-menu">
                        <li> <a tabindex="-1" href="javascript:void(0)" data-field="role_ty">名称</a> </li>
                      </ul>
                    </div>
                    <input type="text" class="form-control" value="" name="searchcontent" placeholder="<?php echo $searchcontent;?>">
                  </div>
                </form>

                <div class="toolbar-btn-action">
				  <a id="post" class="btn btn-default" href="add_role.php"> 新增角色</a>
				  <a id="del" class="btn btn-default submenuitem"> 批量删除</a>
                </div>

              </div>
              <div class="card-body">
                
                <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                      <tr>
                        <th style="width:6px;">
                          <label class="ftdms-checkbox checkbox-success">
                            <input type="checkbox" id="check-all"><span></span>
                          </label>
                        </th>
                        <th>角色代码</th>
                        <th>角色名称</th>
						<th>角色描述</th>
                        <th>系统默认</th>
						<th>内置角色</th>
						<th>更新时间</th>
						<th>角色权限</th>
                        <th>操作</th>
                      </tr>
                    </thead>
                    <tbody>
					  <?php
					  foreach ($ListArray as $k=>$v){
						  $is_system="否";$buildin="否";
						  if ($v["is_system"]==1){
                             $is_system="是";
						  }

						  if ($v["buildin"]==1){
                             $buildin="是";
						  }
					  ?>
                      <tr>
                        <td>
                          <label class="ftdms-checkbox checkbox-success">
                            <input type="checkbox" name="ids" value="<?php echo $v['role_id']?>" data_id="<?php echo $v['role_id']?>"><span></span>
                          </label>
                        </td>
                        <td><?php echo $v['role_code']?></td>
                        <td><?php echo $v['role_name']?></td>
						<td><?php echo $v['role_desc']?></td>
						<td><?php echo $is_system;?></td>
						<td><?php echo $buildin;?> </td>
                        <td><?php echo $v['lastchanged']?></td>
						<td><a href="permission.php?role_id=<?php echo $v['role_id']?>&role_name=<?php echo $v['role_name']?>">权限设置</a></td>
                        <td>
                          <div class="btn-group">
                            <a class="btn btn-xs btn-default submenuitem" href="edit_role.php?id=<?php echo $v['role_id']?>&role_name=<?php echo $v['role_name']?>" target= "_self" title="修改角色" data-toggle="tooltip"><i class="ftsucai-edit-2"></i></a>
                            <a id="delete" class="btn btn-xs btn-default submenuitem del" title="删除角色" onclick="del_role(<?php echo $v['role_id']?>)"><i class="ftsucai-del"></i></a>
                          </div>
                        </td>
                      </tr>
					  <?php
					  }
					  ?>
                    </tbody>
                  </table>
                </div>

				<nav>
                  <ul class="pagination no-border">
                    <?php echo $pager=$p->output(1);?>
                  </ul>
                </nav>
       
              </div>
            </div>
          </div>
          
        </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>
<script type="text/javascript" src="../js/jquery-confirm.min.js"></script>
<script type="text/javascript" src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/tips.js"></script>

<script type="text/javascript">

$(document).keyup(function(event){
  if(event.keyCode ==13){
    $("#search").trigger("click");
  }
});

$('#del').on('click', function(){
	//post字段
	var params =[]; var can_submit = true; var id='';
    $('input[name="ids"]:checked').each(function(){ 
    	//params.push($(this).val());
    	id += ','+this.value;
    });

    //alert(JSON.stringify(params));
    var listid=id.substr(1);
    //if (params.length==0){
    if (listid==''){
        tips.notify('你还没有选择任何内容！', 'danger', 600);
		return false;
	}else{
		$.alert({
	        title: '你确定要删除吗？',
	        content: '',
			buttons: {
				confirm: {
					text: '确认',
					btnClass: 'btn-primary',
					action: function(){
			        	tips.loading('show');
			            //php端可用$_GET,$_post,file_get_contents("php://input")两种方式获取提交的数据
			    		$.post('rolelist.php?listid='+listid, function(data) {
			                try {
			    				var ret = eval('('+data+')');
			    				if (ret.status == 1) {
			    					//alert(ret.msg);
			    					tips.loading('hide');
			    					//tips.notify('操作成功，页面即将自动跳转~', 'success', 3000);
			    					window.location.reload();  //刷新当前页面
			    					//parent.location.reload();  //刷新父亲对象
			    				}else {
									tips.loading('hide');
			    					tips.notify('操作失败！', 'danger', 600);
			    				}
			    			} catch (e) {
								tips.loading('hide');
			    				tips.notify('网络异常,操作失败！', 'danger', 1000);
			    			}
			    		});
					}
				},
				cancel: {
					text: '取消',
					action: function () {
	                    //$.alert('你点击了取消!');
					}
				}
			}
	    });
	}
	
});

function del_role(role_id) {

	$('input[data_id^=' + role_id + ']').attr("checked","true");

	$.alert({
		title: '你确定要删除吗？',
		content: '',
		buttons: {
			confirm: {
				text: '确认',
				btnClass: 'btn-primary',
				action: function(){
					tips.loading('show');
					$.post('rolelist.php?listid='+role_id, function(data) {
						try {
							var ret = eval('('+data+')');
							if (ret.status == 1) {
								tips.loading('hide');
								//tips.notify('操作成功，页面即将自动跳转~', 'success', 3000);
								window.location.reload();  //刷新当前页面
								//parent.location.reload();  //刷新父亲对象
							}else {
								tips.loading('hide');
								tips.notify(ret.message, 'danger', 600);
							}
						} catch (e) {
							tips.loading('hide');
							tips.notify('网络异常,操作失败！', 'danger', 1000);
						}
					});
				}
			},
			cancel: {
				text: '取消',
				action: function () {
					//$.alert('你点击了取消!');
				}
			}
		}
	});
}

</script>
</body>
</html>